module Capistrano
  module Harrow
    class Banner

      def initialize(env = ENV)
        @env = env
      end

      def to_s
	text_banner
      end


      def variants
        [
          %q{
     ___   _   ___ ___ ___ _____ ___    _   _  _  ___
    / __| /_\ | _ \_ _/ __|_   _| _ \  /_\ | \| |/ _ \
   | (__ / _ \|  _/| |\__ \ | | |   / / _ \| .` | (_) |
    \___/_/ \_\_| |___|___/ |_| |_|_\/_/ \_\_|\_|\___/

    Learn about our web-based collaboration and
    automation platform for Capistrano: hrw.io/auto-cap

}
        ]
      end

      private

      def text_banner
        variants.sample
      end

			#
      # Not used yet.
			#
      def iterm2_banner
				%Q{\033]1337;File=:[encoded data, 22060 characters]}
      end

    end
  end
end
